Bug 679913 - Review Request: ftop - Shows progress of open files and file systems
Summary: Review Request: ftop - Shows progress of open files and file systems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-23 20:30 UTC by Sergio Belkin
Modified: 2011-04-21 19:55 UTC (History)
3 users (show)

Fixed In Version: ftop-1.0-3.el5.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 11:58:05 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Sergio Belkin 2011-02-23 20:30:14 UTC
Spec URL: http://dl.dropbox.com/u/14217893/ftop.spec
SRPM URL: http://dl.dropbox.com/u/14217893/ftop-1.0-1.fc16.src.rpm
Description:

Hi I've made the ftop package. It's a tool alike top that show progress of open files and file systems. The program  displays  progress information for the open files and file systems in a Linux system

I need your review and your sponsorhip.

Also I've made the following packages:

- UpTools: https://bugzilla.redhat.com/show_bug.cgi?id=673589
- cdw: https://bugzilla.redhat.com/show_bug.cgi?id=678128

And the following reviews:

-duply - Wrapper for duplicity
https://bugzilla.redhat.com/show_bug.cgi?id=675234
- os-prober - Probes disks on the system for installed operating
systems https://bugzilla.redhat.com/show_bug.cgi?id=678442
- synce-connector - Connection framework and dccm-implementation
https://bugzilla.redhat.com/show_bug.cgi?id=678728
- libst2205 - Library for accessing the display of hacked st2205 photo
frames  https://bugzilla.redhat.com/show_bug.cgi?id=678887
- pam_csync - a PAM module to provide Roaming Home Directories
https://bugzilla.redhat.com/show_bug.cgi?id=565945
- amavisd-milter - Sendmail milter for amavisd-new with support for
the AM.PDP protocol https://bugzilla.redhat.com/show_bug.cgi?id=634760
- mpiexec - MPI job launcher that uses the PBS task interface directly
https://bugzilla.redhat.com/show_bug.cgi?id=676879
- libeiskaltdcpp - A client library for the DC file sharing protocol
https://bugzilla.redhat.com/show_bug.cgi?id=676939
- lcd4linux - Display system state on an external LCD display
https://bugzilla.redhat.com/show_bug.cgi?id=678891 (Bad Review
included only for honesty)
- perl-Crypt-Random-Source - Get weak or strong random data from
pluggable sources https://bugzilla.redhat.com/show_bug.cgi?id=678929

Thanks in advance!

Comment 1 Sergio Belkin 2011-02-24 16:20:53 UTC
There were patches from usptream that fix each one: 
- Compiling issue
- Buffer overflow

New files:

Spec URL: http://dl.dropbox.com/u/14217893/ftop.spec
SRPM URL: http://dl.dropbox.com/u/14217893/ftop-1.0-2.fc16.src.rpm

I need your review and sponsorship.

Thanks in advance

Comment 2 Mamoru TASAKA 2011-02-26 20:27:23 UTC
Some notes:

* License
  - As far as I check the source codes, the license tag
    should be "GPLv3+".

* %changelog
  - Please put one line between each %changelog entry like:
-----------------------------------------------------
* Thu Feb 24 2011 Sergio Belkin <sebelk@gmail.com> 1.0-2
- Upstream patches applied
- Fixed date changelog

* Tue Feb 22 2011 Sergio Belkin <sebelk@gmail.com> 1.0-1
- First public ftop RPM for fedora
-----------------------------------------------------
    This is useful when using Fedora git system.

Comment 3 Sergio Belkin 2011-02-27 17:18:28 UTC
(In reply to comment #2)

Fy the new files links:
Spec URL: http://dl.dropbox.com/u/14217893/ftop.spec
SRPM URL: http://dl.dropbox.com/u/14217893/ftop-1.0-3.fc16.src.rpm

> Some notes:
> 
> * License
>   - As far as I check the source codes, the license tag
>     should be "GPLv3+".

Done!

> 
> * %changelog
>   - Please put one line between each %changelog entry like:
> -----------------------------------------------------
> * Thu Feb 24 2011 Sergio Belkin <sebelk@gmail.com> 1.0-2
> - Upstream patches applied
> - Fixed date changelog
> 
> * Tue Feb 22 2011 Sergio Belkin <sebelk@gmail.com> 1.0-1
> - First public ftop RPM for fedora
> -----------------------------------------------------
>     This is useful when using Fedora git system.

Fixed too!

Mamoru, thanks for your time and reviews. Are you my sponsor?
Thanks in advance!!

Comment 4 Mamoru TASAKA 2011-02-27 17:28:37 UTC
Why needinfo?

Comment 5 Mamoru TASAKA 2011-02-27 18:51:16 UTC
For -3:

% changelog
----------------------------------------------------
ftop.i686: W: incoherent-version-in-changelog 1.0.3 ['1.0-3.fc15', '1.0-3']
----------------------------------------------------
  - EVR (Epoch-Version-Release) in %changelog should be
    "1.0-3", not "1.0.3".

Please fix above when importing this package into Fedora git.

----------------------------------------------------
   This package (ftop) is APPROVED by mtasaka
----------------------------------------------------

Comment 6 Sergio Belkin 2011-02-28 14:24:23 UTC
New Package SCM Request
=======================
Package Name: ftop
Short Description. Shows progress of open files and file systems
Owners: sebelk
Branches: f13 f14 f15
InitialCC:

Comment 7 Jason Tibbitts 2011-02-28 14:59:15 UTC
The SCM request is misformatted.  Please fix and re-raise the fedora-cvs flag.

Comment 8 Sergio Belkin 2011-02-28 15:18:33 UTC
New Package SCM Request
=======================
Package Name: ftop
Short Description: Shows progress of open files and file systems
Owners: sebelk
Branches: f14 f15 el6
InitialCC:

Comment 9 Jason Tibbitts 2011-02-28 15:59:26 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-03-01 14:43:19 UTC
Package ftop-1.0-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ftop-1.0-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/ftop-1.0-3.fc15
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-03-01 14:43:26 UTC
Package ftop-1.0-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ftop-1.0-3.el6'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/ftop-1.0-3.el6
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2011-03-01 14:43:34 UTC
Package ftop-1.0-3.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ftop-1.0-3.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/ftop-1.0-3.fc14
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2011-03-01 21:35:59 UTC
ftop-1.0-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ftop'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ftop-1.0-3.fc15

Comment 14 Mamoru TASAKA 2011-03-03 11:58:05 UTC
Closing.

Comment 15 Fedora Update System 2011-03-14 10:20:05 UTC
ftop-1.0-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 16 Fedora Update System 2011-03-25 06:58:58 UTC
ftop-1.0-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 17 Fedora Update System 2011-03-25 16:44:06 UTC
ftop-1.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 18 Sergio Belkin 2011-03-27 22:49:00 UTC
Package Change Request
======================
Package Name: ftop
New Branches: el5

Comment 19 Jason Tibbitts 2011-03-28 02:58:37 UTC
This SCM request is invalid; it does not specify any owners.

Please fix and re-raise the fedora-cvs flag.

Comment 20 Sergio Belkin 2011-03-28 11:34:48 UTC
Package Change Request
======================
Package Name: ftop
New Branches: el5
Owners: sebelk

Comment 21 Jason Tibbitts 2011-03-28 13:59:30 UTC
Git done (by process-git-requests).

Comment 22 Fedora Update System 2011-04-04 22:12:24 UTC
ftop-1.0-3.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ftop-1.0-3.el5.1

Comment 23 Fedora Update System 2011-04-21 19:55:26 UTC
ftop-1.0-3.el5.1 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.